Show / Hide Table of Contents

# Struct GroupManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Group

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GroupManager

### Fields

| Improve this Doc View Source

#### AllianceMembers

##### Declaration

    public byte *AllianceMembers

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### IsAlliance

##### Declaration

    public bool IsAlliance

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MemberCount

##### Declaration

    public byte MemberCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PartyId

##### Declaration

    public long PartyId

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### PartyId_2

##### Declaration

    public long PartyId_2

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### PartyLeaderIndex

##### Declaration

    public uint PartyLeaderIndex

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PartyMembers

##### Declaration

    public byte *PartyMembers

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Unk_3D40

##### Declaration

    public uint Unk_3D40

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_3D44

##### Declaration

    public ushort Unk_3D44

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_3D5D

##### Declaration

    public byte Unk_3D5D

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_3D5F

##### Declaration

    public byte Unk_3D5F

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_3D60

##### Declaration

    public byte Unk_3D60

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetAllianceMemberByGroupAndIndex(Int32, Int32)

##### Declaration

    [MemberFunction("F6 81 ?? ?? ?? ?? ?? 4C 8B C9 74 1E")]
    public PartyMember*GetAllianceMemberByGroupAndIndex(int group, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | group |
System.Int32 | index |

##### Returns

Type | Description
--- | ---
PartyMember* |

| Improve this Doc View Source

#### GetAllianceMemberByIndex(Int32)

##### Declaration

    [MemberFunction("83 FA 14 72 03")]
    public PartyMember*GetAllianceMemberByIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
PartyMember* |

| Improve this Doc View Source

#### GetPartyMemberByContentId(UInt64)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B D8 4C 8B 07")]
    public PartyMember*GetPartyMemberByContentId(ulong contentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | contentId |

##### Returns

Type | Description
--- | ---
PartyMember* |

| Improve this Doc View Source

#### GetPartyMemberByIndex(Int32)

##### Declaration

    [MemberFunction("85 D2 78 19 0F B6 81")]
    public PartyMember*GetPartyMemberByIndex(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
PartyMember* |

| Improve this Doc View Source

#### GetPartyMemberByObjectId(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 83 FF 32")]
    public PartyMember*GetPartyMemberByObjectId(uint objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectId |

##### Returns

Type | Description
--- | ---
PartyMember* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("33 D2 48 8D 0D ?? ?? ?? ?? 33 DB", 2, false)]
    public static GroupManager*Instance()

##### Returns

Type | Description
--- | ---
GroupManager* |

| Improve this Doc View Source

#### IsCharacterInPartyByName(Byte*)

##### Declaration

    [MemberFunction("48 89 5C 24 ?? 48 89 7C 24 ?? 44 0F B6 99")]
    public bool IsCharacterInPartyByName(byte *name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | name |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsObjectIDInAlliance(UInt32)

##### Declaration

    [MemberFunction("33 C0 44 8B CA F6 81")]
    public bool IsObjectIDInAlliance(uint objectID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectID |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsObjectIDInParty(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? EB B8 E8")]
    public bool IsObjectIDInParty(uint objectID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectID |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsObjectIDPartyLeader(UInt32)

##### Declaration

    [MemberFunction("48 63 81 ?? ?? ?? ?? 85 C0 78 14")]
    public bool IsObjectIDPartyLeader(uint objectID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectID |

##### Returns

Type | Description
--- | ---
System.Boolean |